
From: Christoph Hellwig <hch@lst.de>



 25-akpm/fs/intermezzo/sysctl.c |    4 ++--
 25-akpm/fs/libfs.c             |   11 -----------
 25-akpm/include/linux/fs.h     |    1 -
 25-akpm/include/linux/kdev_t.h |    2 --
 25-akpm/kernel/ksyms.c         |    1 -
 5 files changed, 2 insertions(+), 17 deletions(-)

diff -puN fs/libfs.c~remove-kdev_name fs/libfs.c
--- 25/fs/libfs.c~remove-kdev_name	Mon Mar 31 13:49:08 2003
+++ 25-akpm/fs/libfs.c	Mon Mar 31 13:49:18 2003
@@ -332,14 +332,3 @@ int simple_commit_write(struct file *fil
 	set_page_dirty(page);
 	return 0;
 }
-
-/*
- * Print device name (in decimal, hexadecimal or symbolic)
- * Note: returns pointer to static data!
- */
-const char * kdevname(kdev_t dev)
-{
-	static char buffer[32];
-	sprintf(buffer, "%02x:%02x", major(dev), minor(dev));
-	return buffer;
-}
diff -puN include/linux/fs.h~remove-kdev_name include/linux/fs.h
--- 25/include/linux/fs.h~remove-kdev_name	Mon Mar 31 13:49:08 2003
+++ 25-akpm/include/linux/fs.h	Mon Mar 31 13:49:08 2003
@@ -1076,7 +1076,6 @@ extern struct block_device *open_bdev_ex
 extern void close_bdev_excl(struct block_device *, int);
 
 extern const char * cdevname(kdev_t);
-extern const char * kdevname(kdev_t);
 extern void init_special_inode(struct inode *, umode_t, dev_t);
 
 /* Invalid inode operations -- fs/bad_inode.c */
diff -puN include/linux/kdev_t.h~remove-kdev_name include/linux/kdev_t.h
--- 25/include/linux/kdev_t.h~remove-kdev_name	Mon Mar 31 13:49:08 2003
+++ 25-akpm/include/linux/kdev_t.h	Mon Mar 31 13:54:56 2003
@@ -101,8 +101,6 @@ static inline kdev_t val_to_kdev(unsigne
 #define NODEV		(mk_kdev(0,0))
 #define B_FREE		(mk_kdev(0xff,0xff))
 
-extern const char * kdevname(kdev_t);	/* note: returns pointer to static data! */
-
 static inline int kdev_same(kdev_t dev1, kdev_t dev2)
 {
 	return dev1.value == dev2.value;
diff -puN kernel/ksyms.c~remove-kdev_name kernel/ksyms.c
--- 25/kernel/ksyms.c~remove-kdev_name	Mon Mar 31 13:49:08 2003
+++ 25-akpm/kernel/ksyms.c	Mon Mar 31 13:54:56 2003
@@ -511,7 +511,6 @@ EXPORT_SYMBOL(sscanf);
 EXPORT_SYMBOL(vsprintf);
 EXPORT_SYMBOL(vsnprintf);
 EXPORT_SYMBOL(vsscanf);
-EXPORT_SYMBOL(kdevname);
 EXPORT_SYMBOL(__bdevname);
 EXPORT_SYMBOL(cdevname);
 EXPORT_SYMBOL(simple_strtoull);
diff -puN fs/intermezzo/sysctl.c~remove-kdev_name fs/intermezzo/sysctl.c
--- 25/fs/intermezzo/sysctl.c~remove-kdev_name	Mon Mar 31 13:55:38 2003
+++ 25-akpm/fs/intermezzo/sysctl.c	Mon Mar 31 13:55:54 2003
@@ -175,8 +175,8 @@ int dosetopt(int minor, struct psdev_opt
 			if (newval == 0)
 				set_device_ro(-errorval, 0);
 			else
-				CERROR("device %s already read only\n",
-				       kdevname(-errorval));
+				CERROR("device %d already read only\n",
+					-errorval);
 		} else {
 			if (newval < 0)
 				set_device_ro(-newval, 1);

_
